$sidenav-width: 270px;
$sidenav-folded-width: 70px;

.left-sidenav-container {
  position: absolute;
  top: 67px;
  bottom: 0px;
  left: 0;
  right: 0;

  &.open {

    .left-sidenav {
      width: $sidenav-width;
    }
   /* .mat-sidenav-content {
      margin-left: $sidenav-width;
    }*/

  }

  &.folded {
    .left-sidenav {
      width: $sidenav-folded-width;
      .menu-list {
        .children:not(.side), .mat-icon.end:not(.side){
          visibility: hidden;
          width: 0;
          height: 0;
          opacity: 0;

        }

      }

    }
    /*.mat-sidenav-content {
      margin-left: $sidenav-folded-width;
    }*/
  }
}

.left-sidenav {

  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0px 0;
 // transition: width 0.5s;


  &__btn-wrap {
    padding: 1em;
  }
}

.mat-sidenav-content {
  //transition: margin-left 0.5s;
}

.menu-list {

  margin-top: 10px;

  &__item {

    cursor: pointer;
    padding: 15px 20px 15px 20px;
    text-decoration: none;
    //border-left: 5px solid transparent;

    &:hover {


       // border-left: 5px solid #2c2e3e;
    }

    .mat-icon.start {
      margin-right: 15px;
      width: 26px !important;
      height: 26px !important;
      line-height: 26px !important;

    }

    .title {
      font-size: 16px;
      letter-spacing: 0.02rem;
      text-decoration: none;
    }

    &.child {
      padding-left: 40px;

      .title {
        /*font-size: 14px;*/
      }
    }


  }
}

